Package org.apache.nutch.protocol

## Class ProtocolOutput

- java.lang.Object
- - org.apache.nutch.protocol.ProtocolOutput

-     public class ProtocolOutput
      extends Object

  Simple aggregate to pass from protocol plugins both content and protocol status.
  Author:
    Andrzej Bialecki <ab@getopt.org>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProtocolOutput​(Content content)` |
    `ProtocolOutput​(Content content, ProtocolStatus status)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Content` | `getContent()` |
    `ProtocolStatus` | `getStatus()` |
    `void` | `setContent​(Content content)` |
    `void` | `setStatus​(ProtocolStatus status)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProtocolOutput

          public ProtocolOutput​(Content content,
                                ProtocolStatus status)

    - #### ProtocolOutput

          public ProtocolOutput​(Content content)

  - ### Method Detail

    - #### getContent

          public Content getContent()

    - #### setContent

          public void setContent​(Content content)

    - #### getStatus

          public ProtocolStatus getStatus()

    - #### setStatus

          public void setStatus​(ProtocolStatus status)